/**
 * Diese Klasse erstellt Statistik fuer eine Welt
 * 
 * @author Ronald Ortner
 * @version 2015.01.16
 */
public class WeltStatistik
{
    // Zaehler fuer Anzahl besetzter Felder
    private int zaehler;
    // Sind die Zaehlerstaende momentan aktuell?
    private boolean zaehlerAktuell;

    /**
     * Erzeuge ein FeldStatistik-Objekt.
     */
    public WeltStatistik()
    {
        zaehler = 0;
        zaehlerAktuell = true;
    }

    
    /**
     * Setze Zaehler auf 0 zurueck.
     */
    public void zuruecksetzen()
    {
        zaehlerAktuell = false;
        zaehler = 0;
    }

    /**
     * Erhoeht den Zaehler.
     */
    public void erhoeheZaehler()
    {
        zaehler++;
    }

    /**
     * Signalisiert, dass eine Zaehlung beendet ist.
     */
    public void zaehlungBeendet()
    {
        zaehlerAktuell = true;
    }

    /**
     * Stelle fest, ob die Simulation noch aktiv ist.
     * @return true, wenn noch mindestens ein Feld besetzt.
     */
    public boolean istAktiv()
    {
        return zaehler > 1;
    }
    
    /**
     * Berechne Zaehlerstand.
     * @param welt die Welt, fuer die Statistik erstellt werden soll.
     */
    public int gibZaehler(Welt welt)
    {
        zuruecksetzen();
        for(int zeile = 0; zeile < welt.gibLaenge(); zeile++) {
            for(int spalte = 0; spalte < welt.gibBreite(); spalte++) {
                int i = welt.gibWelt(zeile, spalte);
                if(i==1) 
                    zaehler++;
                
            }
        }
        zaehlerAktuell = true;
        return zaehler;
    }
}
